#ifndef CUASOCHINH_H
#define CUASOCHINH_H

#include <QtWidgets>
#include <QtWebKitWidgets>

class CuaSoChinh : public QMainWindow {
    Q_OBJECT
    public:
        CuaSoChinh();

    private:
        void khoiTaoThaoTac();
        void khoiTaoDanhMuc();
        void khoiTaoThanhCongCu();
        void khoiTaoThanhTrangThai();
        QWidget* taoTheMoi(QString url = "");
        QWebView* trangHienTai();

    private slots:
        void taiTrangTruoc();
        void taiTrangSau();
        void taiTrangChu();
        void dungTai();
        void taiLai();
        void troGiup();
        void themThe();
        void dongThe();
        void taiTrang();
        void chuyenThe(int chiSo);
        void thayTieuDe(const QString& tieuDe);
        void thayDiaChi(const QUrl & url);
        void batDauTienTrinh();
        void taiTienTrinh(int tienDo);
        void ketThucTienTrinh(bool ok);

    private:
        QTabWidget *danhSachThe;

        QAction *thaoTacThemThe;
        QAction *thaoTacDongThe;
        QAction *thaoTacThoat;
        QAction *thaoTacTroGiup;
        QAction *thaotacTaiTrangTruoc;
        QAction *thaoTactaiTrangSau;
        QAction *thaoTacDungTaiTrang;
        QAction *thaoTacLamMoiTrang;
        QAction *thaoTacTaiTrangChu;
        QAction *thaoTacTaiTrang;

        QLineEdit *diaChi;
        QProgressBar *tienTrinh;
};



#endif // CUASOCHINH_H

